var AccTabs = (function() {
		$(function() {
			//for each DIV containing a set of tabs...
			$(".tabs").each( 
				function(t){
					var tabsDiv=$(this);
					var targetId="tab-"+t;
					var list='';
					//for the h2 in each tab div
					$(tabsDiv).find("h2").each(
						function(h){
							list+='<li><a href="#' + targetId + '">' + $(this).text() + '</a></li>';
							$(this).remove();
						}
					);
					
					$(tabsDiv).prepend('<ul class="tabsMenu">' + list + '</ul>').find(">div").addClass("tab").addClass("hideTab");
					//below is 2 versions of old ways of doing this
					//$(tabsDiv).prepend('<ul class="tabsMenu">' + list + '</ul>').find(">div").addClass("tab").css("visibility","hidden");
					//$(tabsDiv).prepend('<ul class="tabsMenu">' + list + '</ul>').find(">div").addClass("tab").hide('slow');
					$(tabsDiv).find(".tab:first").removeClass("hideTab").before('<h2 class="mainH2"><a id="' + targetId +'" tabindex="-1">' + $(tabsDiv).find(".tabsMenu>li:first").text() + '</a></h2>');
					//below is 2 versions of old ways of doing this
					//$(tabsDiv).find(".tab:first").css("visibility","visible").before('<h2 class="mainH2"><a id="' + targetId +'" tabindex="-1">' + $(tabsDiv).find(".tabsMenu>li:first").text() + '</a></h2>');
					//$(tabsDiv).find(".tab:first").show('slow').before('<h2 class="mainH2"><a id="' + targetId +'" tabindex="-1">' + $(tabsDiv).find(".tabsMenu>li:first").text() + '</a></h2>');
					$(tabsDiv).find(".tabsMenu>li:first").toggleClass("current");
					//for each tabs menu link

					$(tabsDiv).find(">ul>li>a").each(
						function(a){
							$(this).click(
								function(e){	
									e.preventDefault();
									$(tabsDiv).find(">ul>li.current").toggleClass("current").find(">a>span").remove();
									$(this).blur();
									$(tabsDiv).find(".tab:visible").addClass("hideTab");
									$(tabsDiv).find(".tab").eq(a).removeClass("hideTab");
									//below is 2 versions of old ways of doing this
									//$(tabsDiv).find(".tab:visible").css("visibility","hidden");
									//$(tabsDiv).find(".tab").eq(a).css("visibility","visible");
									$("#" + targetId).text($(this).text()).focus();//NOTE: focus is being set BEFORE the span is written to the tab menu anchor and the li class change
									$(this).prepend('<span>Current Tab: </span>').parent().toggleClass("current");
								}
							);
						}
					);
				}
			);
		});
	})();